/****************************************************************************
**	IFF library function prototypes (ANSI C)
*/

void				 IFFL_CloseIFF        ( IFFL_HANDLE );
ULONG				 IFFL_CompressBlock   ( APTR, APTR, ULONG, ULONG );
BOOL				 IFFL_DecodePic       ( IFFL_HANDLE, struct BitMap * );
ULONG				 IFFL_DecompressBlock ( APTR, APTR, ULONG, ULONG );
void				*IFFL_FindChunk       ( IFFL_HANDLE, LONG );
struct IFFL_BMHD	*IFFL_GetBMHD         ( IFFL_HANDLE );
LONG				 IFFL_GetColorTab     ( IFFL_HANDLE, WORD * );
ULONG				 IFFL_GetViewModes    ( IFFL_HANDLE );
LONG				 IFFL_IFFError        ( void );
BOOL				 IFFL_ModifyFrame     ( void *, struct BitMap * );
APTR				 IFFL_NewOpenIFF      ( char *, LONG );
IFFL_HANDLE			 IFFL_OpenIFF         ( char *, ULONG );
LONG				 IFFL_PopChunk        ( IFFL_HANDLE );
IFFL_HANDLE			 IFFL_PPOpenIFF       ( char *, char * );
LONG				 IFFL_PushChunk       ( IFFL_HANDLE, ULONG, ULONG );
BOOL				 IFFL_SaveBitMap      ( char *, struct BitMap *, WORD *, LONG );
BOOL				 IFFL_SaveClip        ( char *, struct BitMap *, WORD *, LONG,
														LONG, LONG, LONG, LONG );
LONG				 IFFL_WriteChunkBytes ( IFFL_HANDLE, void *, LONG );


#ifdef IFFLIB_PRE21NAMES
IFFL_HANDLE	OpenIFF(char *);
void CloseIFF(IFFL_HANDLE);
void *FindChunk(IFFL_HANDLE,LONG);
struct BitMapHeader *GetBMHD(IFFL_HANDLE);
LONG GetColorTab(IFFL_HANDLE,WORD *);
BOOL DecodePic(IFFL_HANDLE,struct BitMap *);
BOOL SaveBitMap(char *,struct BitMap *,WORD *,LONG);
BOOL SaveClip(char *,struct BitMap *,WORD *,LONG,LONG,LONG,LONG,LONG);
LONG IFFError(void);
ULONG GetViewModes(IFFL_HANDLE);
APTR NewOpenIFF(char *,LONG);
BOOL ModifyFrame(void *,struct BitMap *);
IFFL_HANDLE	PPOpenIFF(char *,char *);
#endif
